INTEL_EXECLISTS_SUBM(9)

NAME
intel_execlists_submission - submit a batchbuffer for execution, Execlists style

SYNOPSIS

int intel_execlists_submission(struct drm_device * dev, struct drm_file * file, struct intel_engine_cs * ring, struct intel_context * ctx, struct drm_i915_gem_execbuffer2 * args, struct list_head * vmas, struct drm_i915_gem_object * batch_obj, u64 exec_start, u32 flags);

ARGUMENTS

dev
    DRM device.

file
    DRM file.

ring
    Engine Command Streamer to submit to.

ctx
    Context to employ for this submission.

args
    execbuffer call arguments.

vmas
    list of vmas.

batch_obj
    the batchbuffer to submit.

exec_start
    batchbuffer start virtual address pointer.

flags
    translated execbuffer call flags.

DESCRIPTION

This is the evil twin version of i915_gem_ringbuffer_submission. It abstracts away the submission details of the execbuffer ioctl call.

RETURN

non-zero if the submission fails.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT